{ pkgs ? import <nixpkgs> { } }:
with pkgs;
let
    version = "0.0.1";
    deps = [ gcc];
    nativeDeps = [
    ];
in
pkgs.buildGo117Module {
  pname = "gitea-attachements-proxy";
  inherit version;

  src = ./.;

  buildInputs = [
    stdenv glibc.static
  ] ++deps;
  nativeBuildInputs = [
  ] ++nativeDeps;

  tags = [ ];
  ldflags = [
      "-s" "-w"
      "-linkmode external"
      "-extldflags -static"
    ];

  allowGoReference = false;

  #vendorSha256 = lib.fakeSha256;
  vendorSha256 = "sha256-2UA3WfEN/TxxsBgiEQv6O90k/AJOsy76Di/kbRBJNfY=";

  meta = {
    description = "A Wrapper around the gitea API to get attachments by tags";
    homepage = "https://git.entr0py.de/garionion/gitea-attachements-proxy";
  };
}